summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-01-06 05:13:34 -0500
committerMatthewLi <matthew.lijun@huawei.com>2016-01-06 05:36:55 -0500
commitbbc3f2fc62fafbb05d08a0f7fd8e77781657a20b (patch)
treee0051ced5a597b297276e2fb3fd3619c99e7864a /ci
parent9d958be25bb348ab08f320b04b8a0e47cce11945 (diff)
add debug function for vstf to test in lf openstack env
JIRA: BOTTLENECK-38 Change-Id: Ie1f44665c74ac8ea5f26cc75e571caafbb0999d7 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/vstf_run.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/vstf_run.sh b/ci/vstf_run.sh
new file mode 100755
index 00000000..f25195ab
--- /dev/null
+++ b/ci/vstf_run.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -ex
+
+BOTTLENECKS_REPO=https://gerrit.opnfv.org/gerrit/bottlenecks
+
+SCRIPT_DIR=`cd ${BASH_SOURCE[0]%/*};pwd`
+GERRIT_REFSPEC_DEBUG=$1
+
+if [ x"$GERRIT_REFSPEC_DEBUG" != x ]; then
+ git fetch $BOTTLENECKS_REPO $GERRIT_REFSPEC_DEBUG && git checkout FETCH_HEAD
+fi
+
+$SCRIPT_DIR/../utils/infra_setup/heat_template/vstf_heat_template/vstf_HOT_create_instance.sh $GERRIT_REFSPEC_DEBUG
+
+set +ex
+